%define name gperiodic
%define version 2.0.6
%define release 2mdk

Summary: 	Displays a periodic table of the elements.
Name: 		%{name}
Version:	%{version}
Release: 	%{release}
License: 	GPL
Group:	 	Sciences/Physics
Source:	 	%{name}-%{version}.tar.bz2
URL: 		http://www.acclab.helsinki.fi/~frantz/software/gperiodic.php
Buildroot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: libgtk+2.0_0-devel

%description
Gperiodic displays a periodic table of the elements, allowing you to
browse through the elements, and view detailed information about each
element.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build

#make clean

%make

%install
install -m 755 -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 gperiodic $RPM_BUILD_ROOT%{_bindir}/
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 644 gperiodic.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 gperiodic.desktop $RPM_BUILD_ROOT%{_datadir}/applications/

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gperiodic"\
title="Gperiodic"\
longtitle="Periodic table"\
needs="x11"\
section="Applications/Sciences/Physics"\
icon="physics_section.png"
EOF
)  

%post
%{update_menus}
 
%postun
%{clean_menus}        

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README ChangeLog INSTALL
%{_bindir}/*
%{_libdir}/menu/*
%_datadir/applications/*
%_datadir/pixmaps/*

%changelog

* Fri Aug 01 2003 Michael Scherer <scherer.michael@free.fr> 2.0.6-2mdk
- BuildRequires libgtk2.0-devel

* Sun Jul 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-1mdk
- 2.0.6

* Mon Apr 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-1mdk
- 2.0.4

* Mon Mar 31 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.3-1mdk
- 2.0.3
- fix file list & install
- new url

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.3-3mdk
- rebuild

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.3-2mdk
- build for new readline

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.3-1mdk
- Fix menu entry
- Update code (1.3.3)

* Thu Jul 19 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-6mdk
- rebuild

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-5mdk
- rebuild
- new url

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-4mdk
- BM
- macros
- menu

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-3mdk
- fix group

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- ooopps...correct the wrong line in changelog 8-(

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- initial specfile

